<?php
// 33F190D04D71-0B067FFC03A6-1810FA8DBECA
// Manual reinstallation of SiteGuarding tools
// ver: 3.6
// Update Date: 17 Dev 2020
 
define('MAIN_SERVER_URL', 'https://www.siteguarding.com/_get_file.php?file=');
define ('SETUP_CONNECT_TIMEOUT', 30);

error_reporting( 0 );

set_time_limit(600);
ini_set("max_execution_time", 600);
ignore_user_abort(true);

if (isset($_GET['selftest']))
{
    if (strpos( ini_get('auto_prepend_file'), '/webanalyze/firewall/firewall.php' ) !== false) die('OK');
    else die('ERROR auto_prepend_file='.$v);
}


if (!class_exists('EasyRequest')) { class EasyRequest { const BOUNDARY_PLACEHOLDER = '##BOUNDARY##'; protected $options = array( 'handler' => null, 'method' => 'GET', 'url' => '', 'nobody' => false, 'follow_redirects' => 1, 'protocol_version' => '1.1', 'timeout' => 30, 'user_agent' => 'Mozilla/5.0 (Macintosh; Intel Mac OS X 10.9; rv:38.0) Gecko/20100101 Firefox/38.0', 'auth' => null, 'proxy' => null, 'proxy_userpwd' => null, 'proxy_type' => 'http', 'headers' => array(), 'cookies' => array(), 'json' => false, 'body' => '', 'query' => array(), 'form_params' => array(), 'multipart' => array(), 'curl' => array(), ); public $request; public $response; protected $redirects = array( 'count' => 0, 'urls' => array(), 'cookies' => array(), 'requests' => array(), ); protected $debugInfo = array( 'time_start' => null, 'time_process' => null, 'handler' => null, 'errors' => array(), ); private $builder = array( 'headers' => array(), 'query' => array(), 'form_params' => array(), ); private function __construct() { } public function setOptions($key, $value = null) { if (is_array($key)) { foreach ($key as $k => $v) { $this->setOptions($k, $v); } } elseif (!array_key_exists($key, $this->options)) { throw new InvalidArgumentException(sprintf('Option "%s" is invalid.', $key)); } else { $this->options[$key] = $value; } return $this; } public function getOptions($key = null) { if ($key === null) { return $this->options; } elseif (!array_key_exists($key, $this->options)) { throw new InvalidArgumentException(sprintf('Option "%s" is invalid.', $key)); } return $this->options[$key]; } public static function create($url, $method = 'GET', $options = array()) { if (strpos($method, '://')) { $temp = $url; $url = $method; $method = $temp; } $object = new self; $params = array( 'form_params' => 'withFormParam', 'query' => 'withQuery' ); foreach ($params as $key => $setter) { if (isset($options[$key])) { $object->$setter($object->getParamsAsString($options[$key])); unset($options[$key]); } } if (!empty($options['headers'])) { foreach ($options['headers'] as $name => $values) { if (is_int($name)) { list($name, $value) = explode(':', $values, 2); $object->withHeader($name, $value); } else { $object->withHeader($name, $values); } } } if (!empty($options['cookies']) && is_string($options['cookies'])) { $object->withStringCookies($options['cookies']); unset($options['cookies']); } return $object->setOptions(array('method' => strtoupper($method), 'url' => $url) + $options); } public static function __callStatic($method, $arguments) { static $methods = array( 'OPTIONS' => 1, 'GET' => 1, 'HEAD' => 1, 'POST' => 1, 'PUT' => 1, 'DELETE' => 1, 'TRACE' => 1, 'CONNECT' => 1 ); if (!empty($methods[strtoupper($method)])) { return self::create($method, $arguments[0], isset($arguments[1]) ? $arguments[1] : array())->send(); } throw new Exception(sprintf('Method "%s" is not defined.', $method)); } public function send() { list($options, $request) = $this->prepareRequest(); if (empty($request['uri'])) { throw new Exception('Request URI cannot be empty.'); } $this->options = $options; $this->request = $request; $this->response = null; $handler = $this->getHandler(); $sendMethod = sprintf('sendWith%s', ucfirst($handler)); $this->debugInfo['handler'] = $handler; $this->debugInfo['time_start'] = microtime(true); $info = $this->$sendMethod($this->request); $this->debugInfo['time_process'] = microtime(true) - $this->debugInfo['time_start']; if ($info !== false) { $this->response = array( 'header' => $info[0], 'body' => $info[1] ); $this->followRedirects(); } return $this; } protected function followRedirects() { $client = clone $this; while (($this->options['follow_redirects'] === true || $this->options['follow_redirects'] > $this->redirects['count']) && $nextUrl = $client->getResponseHeaderLine('Location') ) { $nextUrl = $this->getAbsoluteUrl($nextUrl, $client->options['url']); if ($this->redirects['count'] === 0) { $this->redirects['urls'][] = $client->options['url']; $this->redirects['requests'][] = $client; $this->redirects['cookies'] = array_values($client->options['cookies']); $this->collectResponseCookies($this->redirects['cookies'], $client->getResponseArrayCookies()); } $reuseOptions = array( 'nobody', 'protocol_version', 'timeout', 'user_agent', 'auth', 'headers', 'proxy', 'proxy_userpwd', 'proxy_type', 'query' ); $options = array('cookies' => $this->redirects['cookies']); foreach ($reuseOptions as $key) { $options[$key] = $this->options[$key]; } $client = self::create('GET', $nextUrl, $options)->send(); $this->request = $client->request; $this->response = $client->response; $this->redirects['count']++; $this->redirects['urls'][] = $client->options['url']; $this->redirects['requests'][] = $client; $this->collectResponseCookies($this->redirects['cookies'], $client->getResponseArrayCookies()); } } private function collectResponseCookies(&$collection, $cookies) { if (!$cookies) { return; } foreach ($collection as $oldKey => $oldValue) { foreach ($cookies as $newKey => $newValue) { if ($oldValue['Name'] === $newValue['Name'] && $oldValue['Path'] === $newValue['Path'] && $oldValue['Domain'] === $newValue['Domain'] && $oldValue['Secure'] === $newValue['Secure'] && $oldValue['HttpOnly'] === $newValue['HttpOnly'] ) { $collection[$oldKey] = $newValue; unset($cookies[$newKey]); } } } $collection = array_merge($collection, $cookies); } public function getCurrentUrl() { return $this->getRedirectedCount() ? end($this->redirects['urls']) : $this->options['url']; } public function getAllResponseCookies() { return $this->getRedirectedCount() ? $this->getRedirectedCookies() : $this->getResponseArrayCookies(); } public function getRedirectedCount() { return $this->redirects['count']; } public function getRedirectedUrls() { return $this->redirects['urls']; } public function getRedirectedCookies() { return $this->redirects['cookies']; } public function getRedirectedRequests() { return $this->redirects['requests']; } public function getDebugInfo($key = null) { if ($key !== null) { return $this->debugInfo[$key]; } return $this->debugInfo; } public function getRequest($key = null) { if ($key !== null) { return $this->request[$key]; } return $this->request; } public function getResponse($key = null) { if ($key !== null) { return $this->response[$key]; } return $this->response; } public function __toString() { return !$this->response ? '' : $this->getResponseBody(); } public function getResponseBody() { return !$this->response ? false : $this->response['body']; } public function getResponseHeaders() { return !$this->response ? false : $this->getHeadersAsLines($this->response['header']['headers']); } public function getResponseHeader($name) { return !$this->response ? false : $this->getHeaderAsLines($this->response['header']['headers'], $name); } public function getResponseHeaderLine($line) { return !$this->response ? false : $this->getHeaderLine($this->response['header']['headers'], $line); } public function getResponseArrayCookies() { if (!$this->response) { return false; } $cookies = array(); $cookieLines = $this->getHeaderAsLines($this->response['header']['headers'], 'Set-Cookie'); foreach ($cookieLines as $cookie) { $cookies[] = $this->parseStringCookie($cookie); } return $cookies; } public function getResponseCookies() { if (!$this->response) { return false; } $cookies = ''; $cookieLines = $this->getHeaderAsLines($this->response['header']['headers'], 'Set-Cookie'); foreach ($cookieLines as $cookie) { $cookies .= $this->getCookieAsString($this->parseStringCookie($cookie), false); } return trim($cookies); } public function getResponseStatus() { return !$this->response ? false : $this->response['header']['status']; } public function getResponseReason() { return !$this->response ? false : $this->response['header']['reason']; } public function getResponseProtocolVersion() { return !$this->response ? false : $this->response['header']['protocol_version']; } protected function sendWithSocket(array $request) { static $ports = array( 'https' => 443, 'http' => 80, '' => 80); static $errorHandler = null; $uri = $request['uriInfo']; $host = ($uri['scheme'] == 'https' ? 'ssl://' : '').$uri['host']; $port = $uri['port'] ? $uri['port'] : $ports[$uri['scheme']]; $path = $uri['path'].($uri['query'] ? '?'.$uri['query'] : ''); $headers = $request['headers']; if ($this->options['proxy']) { list($host, $port) = explode(':', $this->options['proxy']); $path = $request['uri']; if ($this->options['proxy_userpwd']) { $headers[] = 'Proxy-Authorization: Basic '.base64_encode($this->options['proxy_userpwd']); } } $headers[] = 'Connection: close'; $message = sprintf("%s %s HTTP/%s\r\n", $request['method'], $path, $request['protocol_version']); $message .= sprintf("Host: %s\r\n", $uri['host']); $message .= implode("\r\n", $headers)."\r\n"; $message .= "\r\n"; $message .= $request['body']; $message .= "\r\n\r\n"; $errorHandler === null && $errorHandler = create_function('', ''); $handler = set_error_handler($errorHandler); $stream = fsockopen($host, $port, $errno, $errstr, $this->options['timeout']); $handler ? set_error_handler($handler) : restore_error_handler(); if (!$stream) { if ($errstr) { $this->debugInfo['errors'][] = sprintf('ERROR: %d - %s.', $errno, $errstr); } else { $this->debugInfo['errors'][] = sprintf('ERROR: Cannot connect to "%s:%s"', $host, $port); } return false; } fwrite($stream, $message); $headers = $body = ''; do { $headers .= fgets($stream, 128); } while (strpos($headers, "\r\n\r\n") === false); $headers = $this->parseResponseHeaders($headers); if (!$this->options['nobody']) { while (!feof($stream)) { $body .= fgets($stream); } fclose($stream); if ($this->getHeaderLine($headers['headers'], 'Transfer-Encoding') == 'chunked') { $len = strlen($body); $outData = ''; $pos = 0; while ($pos < $len) { $rawnum = substr($body, $pos, strpos(substr($body, $pos), "\r\n") + 2); $num = hexdec(trim($rawnum)); $pos += strlen($rawnum); $chunk = substr($body, $pos, $num); $outData .= $chunk; $pos += strlen($chunk); } $body = $outData; } } return array($headers, $body); } protected function sendWithCurl(array $request) { $curlOptions = array( CURLOPT_CUSTOMREQUEST => $request['method'], CURLOPT_URL => $request['uri'], CURLOPT_HEADER => true, CURLOPT_RETURNTRANSFER => true, CURLOPT_SSL_VERIFYPEER => false, CURLOPT_ENCODING => 'gzip, deflate', CURLOPT_NOBODY => $this->options['nobody'], CURLOPT_TIMEOUT => $this->options['timeout'], CURLOPT_HTTPHEADER => $request['headers'], ); if ($request['protocol_version'] == '1.0') { $curlOptions[CURLOPT_HTTP_VERSION] = CURL_HTTP_VERSION_1_0; } else { $curlOptions[CURLOPT_HTTP_VERSION] = CURL_HTTP_VERSION_1_1; } if ($body = $request['body']) { $curlOptions[CURLOPT_POSTFIELDS] = $body; } if ($this->options['proxy']) { $curlOptions[CURLOPT_PROXY] = $this->options['proxy']; static $proxyTypeOptions = array( 'http' => CURLPROXY_HTTP, 'sock5' => CURLPROXY_SOCKS5 ); $curlOptions[CURLOPT_PROXYTYPE] = $proxyTypeOptions[$this->options['proxy_type']]; if ($this->options['proxy_userpwd']) { $curlOptions[CURLOPT_PROXYUSERPWD] = $this->options['proxy_userpwd']; } } $curlOptions += $this->options['curl']; $ch = curl_init(); curl_setopt_array($ch, $curlOptions); $response = curl_exec($ch); if ($response === false) { $this->debugInfo['errors'][] = sprintf('ERROR: %d - %s.', curl_errno($ch), curl_error($ch)); return false; } $headerSize = curl_getinfo($ch, CURLINFO_HEADER_SIZE); curl_close($ch); $headers = (string) substr($response, 0, $headerSize); $body = (string) substr($response, $headerSize); $headers = $this->parseResponseHeaders($headers); return array($headers, $body); } protected function parseResponseHeaders($headers) { $lines = array_filter(explode("\r\n", $headers)); preg_match('#^HTTP/([\d\.]+)\s(\d+)\s(.*?)$#i', array_shift($lines), $match); $out = array( 'protocol_version' => $match[1], 'status' => (int) $match[2], 'reason' => $match[3], 'headers' => array(), ); $this->addHeaderToArray($out['headers'], $lines, null); return $out; } public function prepareRequest() { $clone = clone $this; $uri = $clone->parseUri($clone->options['url']); if ($clone->options['query']) { $uri['query'] = trim($uri['query'].'&'.$clone->getParamsAsString($clone->options['query']), '&'); } $request = array( 'protocol_version' => $clone->options['protocol_version'], 'method' => strtoupper($clone->options['method']), 'uri' => $clone->getUriAsString($uri), 'uriInfo' => $uri, ); $clone->options['url'] = $request['uri']; if ($clone->options['json']) { !$clone->hasHeader('Content-Type') && $clone->withHeader('Content-Type', 'application/json'); $clone->options['body'] = $clone->options['json']; } $body = $params = $boundary = ''; if ($clone->options['form_params']) { $params = $clone->getParamsAsString($clone->options['form_params']); } if ($clone->options['multipart']) { $boundary = uniqid(); !$clone->hasHeader('Content-Type') && $clone->withHeader('Content-Type', 'multipart/form-data; boundary='.$boundary); if (preg_match_all('#([^=&]+)=([^&]*)#i', $params, $matches, PREG_SET_ORDER)) { foreach ($matches as $match) { $clone->withMultipart(urldecode($match[1]), urldecode($match[2])); } } $body .= $clone->getMultipartAsString($boundary, $clone->options['multipart']); } elseif ($params) { !$clone->hasHeader('Content-Type') && $clone->withHeader('Content-Type', 'application/x-www-form-urlencoded'); $body .= $params; } if ($clone->options['body']) { $body .= $clone->getBodyAsString($clone->options['body']); } if ($body) { if ($request['method'] == 'GET' || $request['method'] == 'HEAD') { $request['method'] = 'POST'; } } $clone->options['auth'] && $clone->withHeader('Authorization', 'Basic '.base64_encode($clone->options['auth'])); $cookies = ''; if ($clone->hasHeader('Cookie')) { foreach ($clone->getHeaderAsLines($clone->builder['headers'], 'Cookie') as $value) { $clone->withStringCookies($value); } } foreach ($clone->options['cookies'] as $cookie) { if ($clone->isCookieMatchesDomain($cookie, $uri['host']) && $clone->isCookieMatchesPath($cookie, $uri['path']) ) { $cookies .= $clone->getCookieAsString($cookie, false); } } $cookies && $clone->withHeader('Cookie', trim($cookies), false); $body && $clone->withHeader('Content-Length', strlen($body), false); $clone->withHeader('User-Agent', $clone->options['user_agent'], false); !$clone->hasHeader('Expect') && $body && $clone->withHeader('Expect', ''); $headers = $clone->getHeadersAsLines($clone->builder['headers']); if ($boundary) { foreach ($headers as &$line) { $line = strtr($line, array(self::BOUNDARY_PLACEHOLDER => $boundary)); } $body = strtr($body, array(self::BOUNDARY_PLACEHOLDER => $boundary)); } $request += array( 'headers' => $headers, 'body' => $body ); return array($clone->options, $request); } public function withMethod($method) { return $this->setOptions('method', $method); } public function withUserAgent($userAgent) { return $this->setOptions('user_agent', $userAgent); } public function withAuth($auth) { if ($auth === null || preg_match('#[\w-_]+(?::[\w-_]+)?#', $auth)) { return $this->setOptions('auth', $auth); } throw new InvalidArgumentException('Auth must be one of: string with format "user:pass" or "null".'); } public function withProxy($proxy, $userPwd = null, $type = 'http') { if ($proxy === null || preg_match('#^\d+\.\d+\.\d+\.\d+:\d+$#', $proxy)) { return $this ->setOptions('proxy', $proxy) ->setOptions('proxy_userpwd', $userPwd) ->setOptions('proxy_type', $type); } throw new InvalidArgumentException('Proxy must be one of: string with format "ip:port" or "null".'); } public function withHttpProxy($proxy, $userPwd = null) { return $this->withProxy($proxy, $userPwd, 'http'); } public function withSock5Proxy($proxy, $userPwd = null) { return $this->withProxy($proxy, $userPwd, 'sock5'); } public function withBody($body) { $this->options['json'] = false; return $this->setOptions('body', $body); } public function withJson($json) { if (is_string($json)) { $json = json_decode($json, true); if ($json === null) { throw new InvalidArgumentException('Json value must be an array or json string.'); } } $this->options['body'] = $this->options['json'] = json_encode($json); return $this; } public function withNobody($nobody) { return $this->setOptions('nobody', (bool) $nobody); } public function withFollowRedirects($maxRedirect) { if ($maxRedirect === true || is_numeric($maxRedirect) && 0 <= $maxRedirect = intval($maxRedirect)) { return $this->setOptions('follow_redirects', $maxRedirect); } throw new InvalidArgumentException('Max redirect must be a digit number or "true".'); } public function withTimeout($timeout) { if (is_numeric($timeout) && 0 <= $timeout = intval($timeout)) { $this->setOptions('timeout', (int) $timeout); return $this; } throw new InvalidArgumentException('Timeout must be be a digit number.'); } public function withProtocolVersion($version) { static $validProtocolVersions = array( '1.0' => true, '1.1' => true, '2.0' => true, ); if (empty($validProtocolVersions[$version])) { throw new Exception('Protocol version given is invalid.'); } return $this->setOptions('protocol_version', $version); } public function withHeader($name, $values = null, $append = true) { $this->addHeaderToArray($this->builder['headers'], $name, $values, $append); return $this->setOptions('headers', $this->getHeadersAsLines($this->builder['headers'])); } public function withoutHeader($name) { $this->removeHeaderFromArray($this->builder['headers'], $name); return $this; } public function hasHeader($name) { return $this->headerHasKey($this->builder['headers'], $name); } public function withStringCookies($cookies, $path = '/', $secure = false, $httpOnly = false) { $append = array( 'Path' => $path, 'Secure' => $secure, 'HttpOnly' => $httpOnly ); foreach ($this->parseStringCookies($cookies) as $c) { $this->options['cookies'][$c['Name']] = $c + $append; } return $this; } public function withCookie($name, $value = null, $path = '/', $secure = false, $httpOnly = false) { $append = array( 'Path' => $path, 'Secure' => $secure, 'HttpOnly' => $httpOnly ); if (is_array($name)) { if ($this->isCookieData($name)) { $this->options['cookies'][$name] = $name + $append; } else { foreach ($name as $k => $v) { $this->withCookie($k, $v); } } } elseif (is_string($name) && $value === null) { $c = $this->parseStringCookie($name); $this->options['cookies'][$c['Name']] = $c; } elseif (is_array($value) && $this->isCookieData($value)) { $this->options['cookies'][$value['Name']] = $value + $append; } else { $this->options['cookies'][$name] = array('Name' => $name, 'Value' => $value) + $append; } return $this; } public function withoutCookie($name) { unset($this->options['cookies'][$name]); return $this; } public function withFormFile($name, $filePath, $filename = null, $headers = array()) { $headers = array('Content-Transfer-Encoding' => 'binary') + $headers; if ($type = $this->getFileType($filePath)) { $headers['Content-Type'] = $type; } return $this->withMultipart($name, fopen($filePath, 'r'), $filename ? $filename : basename($filePath), $headers); } public function withMultipart($name, $contents, $filename = null, $headers = array()) { $this->options['multipart'][$name] = array( 'name' => $name, 'contents' => $contents, 'filename' => $filename, 'headers' => $headers ); return $this; } public function withoutMultipart($name) { unset($this->options['multipart'][$name]); return $this; } public function withQuery($name, $value = null, $append = true) { $this->addParamToArray($this->builder['query'], $name, $value, $append); $options = $this->getParamsAsArray($this->builder['query']); return $this->setOptions('query', $options); } public function withoutQuery($name) { $this->removeParamFromArray($this->builder['query'], $name); $options = $this->getParamsAsArray($this->builder['query']); return $this->setOptions('query', $options); } public function withFormParam($name, $value = null, $append = true) { $this->addParamToArray($this->builder['form_params'], $name, $value, $append); $options = $this->getParamsAsArray($this->builder['form_params']); return $this->setOptions('form_params', $options); } public function withoutFormParam($name) { $this->removeParamFromArray($this->builder['form_params'], $name); $options = $this->getParamsAsArray($this->builder['form_params']); return $this->setOptions('form_params', $options); } protected function addParamToArray(&$builder, $name, $value = null, $append = true) { if ($value !== null) { if (!$append || !isset($builder[$name])) { $builder[$name] = array(); } $builder[$name] = array_merge($builder[$name], (array) $value); } else { if (is_array($name)) { foreach ($name as $key => $value) { if (!is_int($key)) { $this->addParamToArray($builder, $key, $value, $append); } else { $this->addParamToArray($builder, $value, null, $append); } } } elseif (is_string($name)) { $name = str_replace('+', '%2B', preg_replace_callback( '#&[a-z]+;#', create_function('$match', 'return rawurlencode($match[0]);'), $name)); $this->addParamToArray($builder, $this->parseStringParams($name), null, $append); } } } protected function removeParamFromArray(&$builder, $name) { unset($builder[$name]); } protected function addHeaderToArray(&$builder, $name, $values, $append = true) { if (is_array($name)) { foreach ($name as $key => $value) { if (is_int($key)) { list($key, $value) = array_map('trim', explode(':', $value, 2)); } $this->addHeaderToArray($builder, $key, $value, $append); } return; } $normalizedKey = $this->normalizeHeaderKey($name); if (!$append || !isset($builder[$normalizedKey])) { $builder[$normalizedKey] = array(); } foreach ((array) $values as $value) { if (!is_string($value) && !is_numeric($value)) { throw new InvalidArgumentException('Header value must be a string or array of string.'); } $builder[$normalizedKey][] = array( 'key' => $name, 'value' => trim($value) ); } } protected function removeHeaderFromArray(&$builder, $name) { unset($builder[$this->normalizeHeaderKey($name)]); } protected function headerHasKey($builder, $name) { return array_key_exists($this->normalizeHeaderKey($name), $builder); } protected function getHeadersAsLines(array $builder) { $out = array(); foreach ($builder as $values) { foreach ($values as $value) { $out[] = sprintf('%s: %s', $value['key'], $value['value']); } } return $out; } protected function getHeaderAsLines(array $builder, $name) { $normallizedKey = $this->normalizeHeaderKey($name); $out = array(); if (isset($builder[$normallizedKey])) { foreach ($builder[$normallizedKey] as $value) { $out[] = $value['value']; } } return $out; } protected function normalizeHeaderKey($key) { return strtr(strtolower($key), '_', '-'); } protected function getHeaderLine($builder, $name) { $normallizedKey = $this->normalizeHeaderKey($name); $out = ''; if (isset($builder[$normallizedKey])) { foreach ($builder[$normallizedKey] as $value) { $out .= ($out ? ',' : '').$value['value']; } } return $out; } protected function getParamsAsArray(array $dataBuilder) { $params = array(); foreach ($dataBuilder as $key => $param) { if (count($param) == 1) { $params[$key] = $param[0]; } else { $params[$key] = $param; } } return $params; } protected function getParamsAsString(array $params) { if (PHP_VERSION_ID >= 50400) { return http_build_query($params, null, '&', PHP_QUERY_RFC3986); } else { return preg_replace_callback('#([^=&]+)=([^&]*)#i', create_function('$match', 'return $match[1]."=".rawurlencode(urldecode($match[2]));' ), http_build_query($params)); } } protected function parseStringParams($queryString, &$array = array()) { if (empty($queryString)) { return array(); } $array = array(); foreach (explode('&', $queryString) as $query) { list($key, $value) = explode('=', $query, 2) + array('', ''); $key = urldecode($key); if (preg_match_all('#\[([^\]]+)?\]#i', $key, $matches)) { $key = str_replace($matches[0], '', $key); if (!isset($array[$key])) { $array[$key] = array(); } $children = & $array[$key]; $deth = array(); foreach ($matches[1] as $sub) { $sub = $sub !== '' ? $sub : count($children); if (!array_key_exists($sub, $children)) { $children[$sub] = array(); } $children = & $children[$sub]; } $children = urldecode($value); } else { $array[$key] = urldecode($value); } } return $array; } protected function getCookieDefaults() { static $defauls = array( 'Name' => null, 'Value' => null, 'Domain' => null, 'Path' => '/', 'Max-Age' => null, 'Expires' => null, 'Secure' => false, 'Discard' => false, 'HttpOnly' => false ); return $defauls; } public function parseStringCookies($values) { $array = array(); if (preg_match_all('#(?:^|;)\s*([^=]+)=([^;]+)\s*?#', $values, $matches, PREG_SET_ORDER)) { foreach ($matches as $match) { list(, $name, $value) = $match; if ( !strcasecmp($name, 'Expires') && strtotime($value) || !strcasecmp($name, 'Path') && urldecode($value) == $value || preg_match('#Domain|Max-Age|Secure|Discard|HttpOnly#i', $value) ) { continue; } $array[] = array('Name' => $name, 'Value' => $value) + $this->getCookieDefaults(); } } return $array; } protected function parseStringCookie($value) { $data = $this->getCookieDefaults(); if (is_string($value) && preg_match_all('#([^=;\s]+)(?:=([^;]+))?;?\s*?#', $value, $matches)) { $data['Name'] = array_shift($matches[1]); $data['Value'] = array_shift($matches[2]); if ($matches[1] && $matches[2]) { foreach ($this->getCookieDefaults() as $key => $value) { foreach ($matches[1] as $index => $val) { if (!strcasecmp($key, $val)) { if (in_array($key, array('Secure', 'Discard', 'HttpOnly'))) { $data[$key] = true; } else { $data[$key] = $matches[2][$index]; } } } } } } return $data; } protected function isCookieData(array $data) { return !empty($data['Name']) && isset($data['Value']); } protected function isCookieMatchesPath(array $cookie, $path) { return empty($cookie['Path']) || strpos($path, $cookie['Path']) === 0; } protected function isCookieMatchesDomain(array $cookie, $domain) { $cookieDomain = isset($cookie['Domain']) ? ltrim($cookie['Domain'], '.') : null; if (!$cookieDomain || !strcasecmp($domain, $cookieDomain)) { return true; } if (filter_var($domain, FILTER_VALIDATE_IP)) { return false; } return (bool) preg_match('/\.'.preg_quote($cookieDomain).'$/i', $domain); } protected function getCookieAsString(array $cookie, $fully = false) { $str = $cookie['Name'].'='.$cookie['Value'].'; '; if (!$fully) { return $str; } $cookie += $this->getCookieDefaults(); foreach ($cookie as $key => $value) { if ($key != 'Name' && $key != 'Value' && $value !== null && $value !== false) { if ($key == 'Expires') { $str .= 'Expires='.gmdate('D, d M Y H:i:s \G\M\T', $value).'; '; } else { $str .= ($value === true ? $key : "{$key}={$value}").'; '; } } } return rtrim($str, '; '); } protected function getMultipartHeaders($boundary, array $headers) { $header = ''; foreach ($headers as $name => $value) { $header .= sprintf("%s: %s\r\n", $name, $value); } return "--{$boundary}\r\n".$header."\r\n"; } protected function getMultipartAsString($boundary, $parts) { $out = ''; foreach ($parts as $field) { $field += array('filename' => null, 'headers' => array()); $headers = $field['headers']; $headers['Content-Disposition'] = 'form-data; name="'.$field['name'].'"' .($field['filename'] ? '; filename="'.$field['filename'].'"' : ''); $out .= $this->getMultipartHeaders($boundary, $headers); $out .= $this->getBodyAsString($field['contents']); $out .= "\r\n"; } $out .= "--{$boundary}--\r\n"; return $out; } protected function getBodyAsString($body, $close = true) { $out = ''; if (is_resource($body)) { $out = stream_get_contents($body); $close && fclose($body); } else { $out = $body; } return $out; } protected function getFileType($filePath) { $filename = realpath($filePath); $extension = strtolower(pathinfo($filename, PATHINFO_EXTENSION)); if (preg_match('/^(?:jpe?g|png|[gt]if|bmp|swf)$/', $extension)) { $file = getimagesize($filename); if (isset($file['mime'])) { return $file['mime']; } } if (class_exists('finfo', false)) { if ($info = new finfo(defined('FILEINFO_MIME_TYPE') ? FILEINFO_MIME_TYPE : FILEINFO_MIME)) { return $info->file($filename); } } if (ini_get('mime_magic.magicfile') && function_exists('mime_content_type')) { return mime_content_type($filename); } } protected function getAbsoluteUrl($relative, $base) { $base = preg_replace('#(\?|\#).*?$#', '', $base); if (parse_url($relative, PHP_URL_SCHEME) != '') { return $relative; } if ($relative[0] == '#' || $relative[0] == '?') { return $base.$relative; } extract(parse_url($base)); $path = preg_replace('#/[^/]*$#', '', $path); $relative[0] == '/' && $path = ''; $absolute = $host.$path.'/'.$relative; $patterns = array('#(/\.?/)#', '#/(?!\.\.)[^/]+/\.\./#'); for ($count = 1; $count > 0; $absolute = preg_replace($patterns, '/', $absolute, -1, $count)); return $scheme.'://'.$absolute; } protected function parseUri($uri) { $parts = parse_url($uri); $scheme = isset($parts['scheme']) ? $parts['scheme'] : ''; $user = isset($parts['user']) ? $parts['user'] : ''; $pass = isset($parts['pass']) ? $parts['pass'] : ''; $host = isset($parts['host']) ? $parts['host'] : ''; $port = isset($parts['port']) ? $parts['port'] : null; $path = isset($parts['path']) ? $parts['path'] : '/'; $query = isset($parts['query']) ? $parts['query'] : ''; $fragment = isset($parts['fragment']) ? $parts['fragment'] : ''; return compact('scheme', 'user', 'pass', 'host', 'port', 'path', 'query', 'fragment'); } protected function getUriAsString(array $uri) { extract($uri); $userInfo = $user.($pass ? ':'.$pass : ''); $authority = ($userInfo ? $userInfo.'@' : '').$host.($port !== null ? ':'.$port : ''); if ($authority && substr($path, 0, 1) === '/') { $path = '/'.ltrim($path, '/'); } if (!$authority && substr($path, 0, 2) === '//') { $path = '/'.ltrim($path, '/'); } return ($scheme ? $scheme.':' : '') .($authority ? '//'.$authority : '') .$path .($query ? '?'.$query : '') .($fragment ? '#'.$fragment : ''); } protected function getHandler() { static $available; if ($available === null) { $available = array( 'socket' => function_exists('fsockopen') && function_exists('ini_get') && ini_get('allow_url_fopen'), 'curl' => function_exists('curl_init'), ); } if ($this->options['handler'] !== null) { if (empty($available[$this->options['handler']])) { throw new Exception(sprintf('Handler "%s" is not available.')); } return $this->options['handler']; } if ($available['curl']) { return 'curl'; } if ($available['socket'] && $this->options['proxy_type'] != 'sock5') { return 'socket'; } throw new Exception('Have no available handler based on your request options/ PHP config.'); } } }


$scan_path = dirname(__FILE__);
if (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN') 
{	// Windows
	define('DIRSEP', '\\');
	define('THIS_SERVER', 'WIN');
	$scan_path = str_replace(DIRSEP."webanalyze", DIRSEP, $scan_path);
    $scan_path = $scan_path.DIRSEP;
}
else {
	// Unix
	define('DIRSEP', '/');
    define('THIS_SERVER', 'UNIX');
	$scan_path = substr( $scan_path, 1, strrpos($scan_path, DIRSEP) );
    $scan_path = DIRSEP.$scan_path;
}





?>
<style>
.err{color:red;font-weight: bold;}
.box{margin-right: 40px;padding: 15px;border: 1px solid transparent;}
.green{color: #3c763d;background-color: #dff0d8;border-color: #d6e9c6;}
.green:hover{background-color:#CBDEC3}
.rred{color: #a94442;background-color: #f2dede;border-color: #ebccd1;}
.rred:hover{background-color:#DEC9C9}
.yellow{color: #8a6d3b;background-color: #fcf8e3;border-color: #faebcc;}
.yellow:hover{background-color:#DAD6C0}
.blue{color: #31708f;background-color: #d9edf7;border-color: #bce8f1;}
.bttn{font-weight: bold;text-decoration: none;}
</style>

<?php

// Self remover
if (intval($_REQUEST['selfremove']) == 1)
{
    $status = unlink(__FILE__);
    if ($status) PrintLog('Installer removed '.__FILE__);
    else PrintLog('Cant remove installer '.__FILE__);
    exit;
}

if (isset($_GET['session_key'])) $session_key = $_GET['session_key'];
$session_key = trim($session_key);
if ($session_key == '')
{
    PrintLog('session_key is empty. Exit', true);
    exit;
}

$data = trim($_REQUEST['data']);
$data = (array)json_decode( base64_decode($data) , true);

if ($data === false || count($data) == 0)
{
    PrintLog('data is wrong. Exit', true);
    exit;
}

$selfremove_flag = intval($_REQUEST['selfremove']);

// Self remover
if ($selfremove_flag == 1)
{
    $status = unlink(__FILE__);
    if ($status) PrintLog('Installer removed '.__FILE__);
    else PrintLog('Cant remove installer '.__FILE__);
    exit;
}



$script_path = dirname(__FILE__)."/";


$folders_list_create = array(
    'webanalyze',
    
    'webanalyze/firewall',
    'webanalyze/firewall/logs'
);

$files_list_install = array(
    'webanalyze/index.html',
    'webanalyze/__READ_ME__.txt',
    
    'webanalyze/collectdata.php',
    'webanalyze/config.php',
   	'webanalyze/collectdata.plugins.php',
    
    'webanalyze/antivirus.php',
    'webanalyze/antivirus_config.php',
    
    'webanalyze/tunnel.php',
	'webanalyze/tunnel2.php',
    
    'webanalyze/firewall/firewall.php',
    'webanalyze/firewall/firewall.class.php',
	'webanalyze/firewall/firewall.http.class.php',
    'webanalyze/firewall/firewall.config.php',
	'webanalyze/firewall/firewall.key.txt',
    'webanalyze/firewall/rules.txt',
	'webanalyze/firewall/rules.dat',
    'webanalyze/firewall/.htaccess',
    'webanalyze/firewall/logs/.htaccess',
	
	'webanalyze/backup.php',
	'webanalyze/backup_config.php',
	
	'website.php',
	'siteguarding_tools.php',
);




echo '<h4>Tools Installer</h4>';


if (!extension_loaded('curl')) 
{
    PrintLog('cURL is not installed. Exit', true);
    exit;
}


PrintLog('<b>Data</b>');

echo '<pre>'.print_r($data, true).'</pre>';




PrintLog('<b>File List</b>');



// Installation

// Create Folders
PrintLog('<b>Create Folders</b>');
foreach ($folders_list_create as $folder)
{
    if (file_exists($script_path.$folder)) PrintLog('Folder already exists '.$script_path.$folder);
    else {
        $status = mkdir($script_path.$folder);
        if ($status === false) PrintLog('Cant create folder '.$script_path.$folder, true);
        else PrintLog('Folder created '.$script_path.$folder);
    }
    
	// Flush output
	ob_flush();
	flush();
}


// Download and create Files
PrintLog('<b>Download and create Files</b>');
foreach ($files_list_install as $file)
{
    if ( $file == "webanalyze/config.php" && file_exists($script_path.$file)) copy($script_path.$file, $script_path.$file.".backup");
    if ( $file == "webanalyze/firewall/firewall.config.php" && file_exists($script_path.$file)) copy($script_path.$file, $script_path.$file.".backup");
    if ( $file == "webanalyze/firewall/rules.txt" && file_exists($script_path.$file)) copy($script_path.$file, $script_path.$file.".backup");

        $file_remote = basename($file);
        

        $download_url = MAIN_SERVER_URL.'installer&filename='.$file_remote.'&session_key='.$session_key.'&time='.time();
        $client = EasyRequest::create('GET', $download_url, array(
            'timeout' => 45
        ));
        $client->send();
        
        $content = $client->getResponseBody();
        
        if (stripos($content, "session_key is wrong") !== false) die("session_key is wrong.");
        
        if (trim($content) != '')
        {
            $status = CreateFile($script_path, $file, $content);
            if ($status) 
            {
                PrintLog('File created '.$script_path.$file);
            	// Flush output
            	ob_flush();
            	flush();
                continue;
            }
            else PrintLog('Cant create/save content file '.$script_path.$file, true);
        }
        else {
            PrintLog('Cant download file '.$script_path.$file, true);
        }


    
	// Flush output
	ob_flush();
	flush();
}


// Set configuration files
PrintLog('<b>Set configuration files</b>');
// Firewall config
$filename = $script_path.'/webanalyze/firewall/firewall.config.php';
if (file_exists($filename))
{
    $handle = fopen($filename, "r");
    $contents = fread($handle, filesize($filename));
    fclose($handle);
    
    $contents = str_replace("{REPLACE_WITH_SCAN_PATH}", $script_path, $contents);
    
    $handle = fopen($filename, 'w');
    fwrite($handle, $contents);
    fclose($handle);
}





// File change monitoring config
$filename = $script_path.'/webanalyze/firewall/firewall.config.php';
//$filename = $script_path.'/firewall.config.php';
if (file_exists($filename))
{
    // Check old backup
	if (file_exists($filename.".backup"))
	{
	    $config_line = '';
        
        $config_arr_old = file($filename.".backup");
        
        if (count($config_arr_old))
        {
            $define_arr = array();
            
            foreach ($config_arr_old as $row)
            {
                $i_pos = stripos($row, 'define(');
                if ($i_pos !== false && $i_pos < 3)
                {
                    // Get define key
                    $tmp_row = explode(",", $row);
                    $define_key = trim(str_replace(array("define(", "'"), "", $tmp_row[0]));
                    
                    $tmp_row = explode(";", $row);  // Cut define( 'SITEGUARDING_DEFAULT_ACTION', 'allow');		// Defaut action for session
                    
                    $define_arr[$define_key] = $tmp_row[0];
                }
                
            }
            
            //echo "<pre>".print_r($define_arr, true)."</pre>";
            
        }
        unlink($filename.".backup");
	}
    
    // Read new firewall.config.php
    $config_arr = file($filename);
    
    if (count($config_arr))
    {
        foreach ($config_arr as $k => $row)
        {
            $i_pos = stripos($row, 'define(');
            if ($i_pos !== false && $i_pos < 3)
            {
                // Get define key
                $tmp_row = explode(",", $row);
                $define_key = trim(str_replace(array("define(", "'"), "", $tmp_row[0]));
                
                if (isset($define_arr[$define_key]))
                {
                    if (stripos($row, $define_arr[$define_key]) === false)
                    {
                        //echo 'Found: '.$row."<br>";
                        
                        // Need to replace the value
                        $tmp_row = explode(";", $row);  // Cut define( 'SITEGUARDING_DEFAULT_ACTION', 'allow');		// Defaut action for session
                        $tmp_row[0] = $define_arr[$define_key];
                        $row = implode(";", $tmp_row);
                        $config_arr[$k] = $row;
                        
                        //echo 'Replace with: '.$row."<br>";
                        
                    }
                }
            }
        }
        //echo "<pre>".print_r($config_arr, true)."</pre>";
    }
    
    $contents = implode("\n", $config_arr);
    
    $handle = fopen($filename, 'w');
    fwrite($handle, $contents);
    fclose($handle);
}




// File change monitoring config
$filename = $script_path.'/webanalyze/config.php';
if (file_exists($filename))
{
    // Check old backup
	if (file_exists($filename.".backup"))
	{
	    $config_line = '';
       
        $handle = fopen($filename, "r");
        $contents = fread($handle, filesize($filename));
        fclose($handle);
        
        $tmp_s = explode("\n", $contents);
        foreach($tmp_s as $row)
        {
            if (stripos($row, '$CONFIG_EXCLUDE_FOLDERS') !== false)
            {
                $config_line = $row;
                break;
            }
        }
        unlink($filename.".backup");
	}
    
    
    $handle = fopen($filename, "r");
    $contents = fread($handle, filesize($filename));
    fclose($handle);
    
    $contents = str_replace("{WEBSITE_ID}", $data['website_id'], $contents);
    $contents = str_replace("{WEBSITE_KEY}", $data['website_key'], $contents);
    
        // Update with old config settings
        if ($config_line != '')
        {
            $tmp_s = explode("\n", $contents);
            foreach($tmp_s as $k => $row)
            {
                if (stripos($row, '$CONFIG_EXCLUDE_FOLDERS') !== false)
                {
                    $tmp_s[$k] = $config_line;
                    break;
                }
            }
            
            $contents = implode("\n", $tmp_s);
        }
    
    $handle = fopen($filename, 'w');
    fwrite($handle, $contents);
    fclose($handle);
	

}

// Antivirus config
$filename = $script_path.'/webanalyze/antivirus_config.php';
if (file_exists($filename))
{
    $handle = fopen($filename, "r");
    $contents = fread($handle, filesize($filename));
    fclose($handle);
    
    $contents = str_replace("{ACCESS_KEY}", $data['access_key'], $contents);
    
    $handle = fopen($filename, 'w');
    fwrite($handle, $contents);
    fclose($handle);
}


// Patch special files

// Update some files if firewall is installed
$filename = $script_path.'/webanalyze/firewall/firewall.php';
PrintLog('<b>Patch special files</b>');
if (file_exists($filename))
{
	// Inject firewall commant to WordPress config file
	$file_list_array = array(
		'wp-config.php',
		'configuration.php',
		'cron.php',
		'index.php',
        'administrator/index.php',
	);
	
	foreach ($file_list_array as $filename)
	{
	    echo $filename.' - ';
		$filename = $script_path.$filename;
		if (file_exists($filename))
		{
			$handle = fopen($filename, "r");
			$contents = fread($handle, filesize($filename));
			fclose($handle);
            
            if (stripos($contents, '44B280167949-START') !== false) 
            {
                echo 'skipped'."<br>";
                continue;
            }
			
			$integration_code = '<?php /* Siteguarding Block 44B280167949-START */include_once("'.$script_path.'webanalyze/firewall/firewall.php");/* Siteguarding Block 44B280167949-END */?>';
			$contents = $integration_code.$contents;
			
			$handle = fopen($filename, 'w');
			fwrite($handle, $contents);
			fclose($handle);
            
            echo '<span class="green">inserted</span>'."<br>";
		}
        else echo 'absent'."<br>";
	}
}
else PrintLog('No firewall files detected', true);


// Merge rules.txt
if (file_exists($script_path.'webanalyze/firewall/rules.txt.backup'))
{
    $new_rules = Read_File($script_path, 'webanalyze/firewall/rules.txt');
    $backup_rules = Read_File($script_path, 'webanalyze/firewall/rules.txt.backup');
    
    $new_rules_arr = ParseRules($new_rules);
    $backup_rules_arr = ParseRules($backup_rules);
    
    foreach ($backup_rules_arr as $section => $rules_in_section)
    {
        if (count($rules_in_section))
        {
            foreach ($rules_in_section as $i => $rule_row)
            {
                if (in_array($rule_row, $new_rules_arr[$section])) unset($backup_rules_arr[$section][$i]);
            }
        }
        if (count($backup_rules_arr[$section]) == 0) unset($backup_rules_arr[$section]);
    }
    
    //print_r($backup_rules_arr);
    if (count($backup_rules_arr) > 0)
    {
        foreach ($backup_rules_arr as $section => $rules_in_section)
        {
            $new_rules = str_replace($section, $section."\n".implode("\n", $rules_in_section), $new_rules);
        }
        
        //echo $new_rules;
        echo "<br><p><b>Extra firewall rules</b></p><pre>".print_r($backup_rules_arr, true)."</pre>";
        
        $filename = $script_path.'webanalyze/firewall/rules.txt';
        $status = CreateFile($script_path, 'webanalyze/firewall/rules.txt', $new_rules);
        if ($status) PrintLog('Added extra rules to rules.txt '.$filename);
        else PrintLog('Cant save rules.txt '.$filename, true);
    }
    
    unlink($script_path.'webanalyze/firewall/rules.txt.backup');
}

// backup ini files
$tmp_file = $script_path.'.htaccess';
if (file_exists($tmp_file)) copy($tmp_file, $tmp_file.'.bak.'.time());
$tmp_file = $script_path.'.user.ini';
if (file_exists($tmp_file)) copy($tmp_file, $tmp_file.'.bak.'.time());
$tmp_file = $script_path.'php.ini';
if (file_exists($tmp_file)) copy($tmp_file, $tmp_file.'.bak.'.time());

// Install auto_prepend_file 
$installer = new SG_Firewall_Auto_Prepend_Class();
$installer->WORK_PATH = $script_path;
$installer->FIREWALL_PATH = 'webanalyze/firewall/firewall.php';
$installer->setAutoPrepends(true);

PrintLog('Set auto_prepend_file='.$installer->WORK_PATH.$installer->FIREWALL_PATH);





/**
 * Test if auto_prepend_file added correctly
 */
$firewall_filename = $script_path.'webanalyze/firewall/firewall.php';
PrintLog('<b>Test PHP auto_prepend_file</b>');

PrintLog('Start auto_prepend_file test');

$status = Send_Test_HTTP_Requests();
if ($status) PrintLog('<span class="green"><b>Valid auto_prepend_file '.$filename.'</b></span>');
else {
    // Error
    PrintLog('<span class="err"><b>Error auto_prepend_file</b></span>');
    
    $special_files = array(
        '.user.ini',
        'php.ini',
        '.htaccess',
    );
    
    foreach ($special_files as $special_file)
    {
        $file = $script_path.$special_file;
        
        if ($special_file == '.htaccess') $insert_code = 'php_value auto_prepend_file "'.$firewall_filename.'"';
        else $insert_code = "auto_prepend_file = '".$firewall_filename."'";

        $flag_HTTP_test = false;
        
        if (file_exists($file))
        {
            $content = Read_File($file, '');    // will return with \n\n in the end
            
            if (strpos($content, '/webanalyze/firewall/firewall.php') === false)
            {
                $content_before_change = $content;
                
                $content .= $insert_code;
                CreateFile($script_path, $special_file, $content);
                $flag_HTTP_test = true;
                
                PrintLog($special_file.' - file exists. firewall code is absent. adding code...');
            }
            else PrintLog($special_file.' - file exists. firewall code exists');
        }
        else {
            PrintLog($special_file.' - file absent. creating...');
            
            $content_before_change = '';
            
            CreateFile($script_path, $special_file, $insert_code);
            $flag_HTTP_test = true;
        }
        
        if ($flag_HTTP_test)
        {
            $status = Send_Test_HTTP_Requests();
            if ($status) 
            {
                PrintLog('<span class="green"><b>Valid auto_prepend_file '.$filename.'</b></span>');
                break;   
            }
            else {
                PrintLog('<span color="err"><b>'.$special_file.' - not passed testing</b></span>');
                
                if ($special_file == '.htaccess')
                {
                    // Return .htaccess back as it was before
                    CreateFile($script_path, $special_file, $content_before_change);
                }                
            }
        }
        else PrintLog($special_file.' - skip http testing');
    }
}



        
        	

// Update website.php config
        $filename = $script_path.'website.php';
        if (file_exists($filename))
        {
            $handle = fopen($filename, "r");
            $contents = fread($handle, filesize($filename));
            fclose($handle);
            
            $open_key = md5(time().mt_rand().date("Y-m-d H:i:s"));
            $close_key = md5($open_key.'55A46D70BB60-CD5D5F44BFBC');
			$contents = str_replace("{OPEN_KEY}", $open_key, $contents);
			$contents = str_replace("{CLOSE_KEY}", $close_key, $contents);
            
            $handle = fopen($filename, 'w');
            fwrite($handle, $contents);
            fclose($handle);
			
			PrintLog('Patched '.$filename);
        } 
		else PrintLog('Cant read '.$filename, true);	
		
		
		// Scan to remove the files not from the list
		$tools_files = SGFUNC_FindToolsFiles($script_path);

		if (count($tools_files))
		{
			foreach ($tools_files as $file)
			{
				if (basename($file) != basename(__FILE__)) 
				{
					$status = unlink($file);
					if ($status === false) PrintLog('Cant remove file '.$file, true);
					else PrintLog('File removed '.$file);
				}
			}
		}

			
$status = unlink(__FILE__);
if ($status) PrintLog('Installer removed '.__FILE__);
else PrintLog('Cant remove installer '.__FILE__);


PrintLog('<br><b>Done</b>');

$link_selfremove = GetHostProtocol().$_SERVER['HTTP_HOST'].'/__tools____reinstaller.php?selfremove=1&time='.time();

PrintLog('<br><a href="'.$link_selfremove.'">Self Remove</a>');

exit;


/**
 * Functions
 */

function Send_Test_HTTP_Requests()
{
    $ping_website_url = GetWebsiteURL().'/__tools____reinstaller.php?selftest=1';
    
    $client = EasyRequest::create('GET', $ping_website_url, array(
        'timeout' => 15
    ));
    $client->send();
    
    $http_status = $client->getResponseStatus();
    $redirect_count = $client->getRedirectedCount();
    
    if ($http_status != 200 || $redirect_count)
    {
        echo '<p>HTTP Status: '.$http_status.', Redirects: '.$redirect_count.'</p>';
        return false;
    }
    
    $content = $client->getResponseBody();
    
    if ($content == 'OK') return true;
    else return false;
}



function SGFUNC_FindToolsFiles($scan_path) 
{
    $tools_files = array();
    
    foreach (glob($scan_path.DIRSEP."*.php") as $filename) 
    {
        $handle = fopen($filename, "r");
        $contents = fread($handle, filesize($filename));
        fclose($handle);
        if (stripos($contents, '33F190D04D71-0B067FFC03A6-1810FA8DBECA') !== false) $tools_files[] = $filename;
    }
    
    return $tools_files;
}



function is_https()
{
	return
		 (! empty($_SERVER['REQUEST_SCHEME']) && $_SERVER['REQUEST_SCHEME'] == 'https') ||
		 (! empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] == 'on') ||
		 (! empty($_SERVER['SERVER_PORT']) && $_SERVER['SERVER_PORT'] == '443');
}

function GetHostProtocol()
{
    $protocol = (is_https()) ? 'https://' : 'http://';
    return $protocol;
}

function GetWebsiteURL()
{
    return GetHostProtocol().$_SERVER['HTTP_HOST'];
}


function ParseRules($content)
{
    $backup_rules_arr = explode("\n", $content);
    
    $b = array();
    $section = '';
    foreach ($backup_rules_arr as $row)
    {
        $row = trim($row);
        if ($row[0] == '#' || $row == '') continue;
        
        $row_s = substr($row, 0, 2);
        $row_e = substr($row, -2);
        if ($row_s == "::" && $row_e == "::") 
        {
            $section = $row;
            continue;
        }
        
        if ($section != '') $b[$section][] = $row;
    }  
    
    return $b; 
}





function Read_File($pathfile, $file = '', $add_newlines = true)
{
    $contents = '';
    
    if ($file == '') $filename = $pathfile;
    else $filename = $path.'/'.$file;
    
    if (file_exists($filename))
    {
        $fp = fopen($filename, "r");
        $contents = fread($fp, filesize($filename));
        fclose($fp); 
        
        if ($add_newlines) $contents .= "\n\n";       
    }
    
    return $contents;
}

function CreateFile($path, $file, $content)
{
    if (file_exists($path.'/'.$file)) unlink($path.'/'.$file);
    $fp = fopen($path.'/'.$file, 'w');
    $status = fwrite($fp, $content);
    fclose($fp);

    return $status;
}



function CreateRemote_file_contents_save($url, $dst)
{
    $content = GetRemote_file_contents($url);
    
    if ($content === false) return false;
    
    $fp = fopen($dst, 'w');
    if ($fp === false) return false;
    $a = fwrite($fp, $content);
    if ($a === false) return false;
    fclose($fp);
    
    return true;
}


function GetRemote_file_contents($url, $parse = false)
{
    if (extension_loaded('curl')) 
    {
        $ch = curl_init();
        
        curl_setopt($ch, CURLOPT_URL, $url );
        curl_setopt($ch, CURLOPT_USERAGENT, "Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)");
        curl_setopt($ch, CURLOPT_TIMEOUT, 3600);
        curl_setopt($ch, CURLOPT_TIMEOUT_MS, 3600000);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

        curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 10); // 10 sec
        curl_setopt($ch, CURLOPT_CONNECTTIMEOUT_MS, 10000); // 10 sec
        curl_setopt($ch, CURLOPT_BINARYTRANSFER, 1);
        curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
        
        $output = trim(curl_exec($ch));
        curl_close($ch);
        
        if ($output === false)  return false;
        
        if ($parse === true) $output = (array)json_decode($output, true);
        
        return $output;
    }
    else return false;
}



function CreateRemote_file_contents($url, $dst)
{
    if (extension_loaded('curl')) 
    {
        $dst = fopen($dst, 'w');
        
        $ch = curl_init();
        
        curl_setopt($ch, CURLOPT_URL, $url );
        curl_setopt($ch, CURLOPT_USERAGENT, "Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)");
        curl_setopt($ch, CURLOPT_TIMEOUT, 3600);
        curl_setopt($ch, CURLOPT_TIMEOUT_MS, 3600000);
        curl_setopt($ch, CURLOPT_FILE, $dst);
        curl_setopt($ch, CURLOPT_FAILONERROR, true);
        curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 10); // 10 sec
        curl_setopt($ch, CURLOPT_CONNECTTIMEOUT_MS, 10000); // 10 sec
        curl_setopt($ch, CURLOPT_BINARYTRANSFER, 1);
        curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
        
        $a = curl_exec($ch);
        if ($a === false)  return false;
        
        $info = curl_getinfo($ch);
        
        curl_close($ch);
        fflush($dst);
        fclose($dst);
        
        return $info['size_download'];
    }
    else return false;
        
}


function PrintLog($txt, $error_type = false)
{
    if ($error_type) echo "<p class='err'>".$txt."</p>";
    else echo "<p>".$txt."</p>";
}

function PrintLog_br($txt, $error_type = false)
{
    if ($error_type) echo "<span class='err'>".$txt."</span><br>";
    else echo $txt."<br>";
}






class SG_Firewall_Auto_Prepend_Class {
	
    public static $WORK_PATH = '';
    public static $FIREWALL_PATH = '';
    
	//const WORK_PATH = "d:/Work/www/wordpress";
	//const FIREWALL_PATH = "wp-content/plugins/wp-website-antivirus-protection/classes/firewall.php";
	const APACHE = 1;
	const NGINX = 2;
	const LITESPEED = 4;
	const IIS = 8;


	private $handler;
	private $software;
	private $softwareName;
	private $dirsep;
	

	public function __construct() {
		$sapi = php_sapi_name();
		if (stripos($_SERVER['SERVER_SOFTWARE'], 'apache') !== false) {
			$this->setSoftware(self::APACHE);
			$this->setSoftwareName('apache');
		}
		if (stripos($_SERVER['SERVER_SOFTWARE'], 'litespeed') !== false || $sapi == 'litespeed') {
			$this->setSoftware(self::LITESPEED);
			$this->setSoftwareName('litespeed');
		}
		if (strpos($_SERVER['SERVER_SOFTWARE'], 'nginx') !== false) {
			$this->setSoftware(self::NGINX);
			$this->setSoftwareName('nginx');
		}
		if (strpos($_SERVER['SERVER_SOFTWARE'], 'Microsoft-IIS') !== false || strpos($_SERVER['SERVER_SOFTWARE'], 'ExpressionDevServer') !== false) {
			$this->setSoftware(self::IIS);
			$this->setSoftwareName('iis');
		}
		
		if (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN') {
			$this->dirsep = '\\';
		} else {
			$this->dirsep = '/';
		}

		$this->setHandler($sapi);


	}

	public function isApache() {
		return $this->getSoftware() === self::APACHE;
	}


	public function isNGINX() {
		return $this->getSoftware() === self::NGINX;
	}


	public function isLiteSpeed() {
		return $this->getSoftware() === self::LITESPEED;
	}


	public function isIIS() {
		return $this->getSoftware() === self::IIS;
	}


	public function isApacheModPHP() {
		return $this->isApache() && function_exists('apache_get_modules');
	}


	public function isApacheSuPHP() {
		return $this->isApache() && $this->isCGI() &&
			function_exists('posix_getuid') &&
			getmyuid() === posix_getuid();
	}


	public function isCGI() {
		return !$this->isFastCGI() && stripos($this->getHandler(), 'cgi') !== false;
	}


	public function isFastCGI() {
		return stripos($this->getHandler(), 'fastcgi') !== false || stripos($this->getHandler(), 'fpm-fcgi') !== false;
	}


	public function getHandler() {
		return $this->handler;
	}


	public function setHandler($handler) {
		$this->handler = $handler;
	}


	public function getSoftware() {
		return $this->software;
	}


	public function setSoftware($software) {
		$this->software = $software;
	}


	public function getSoftwareName() {
		return $this->softwareName;
	}


	public function setSoftwareName($softwareName) {
		$this->softwareName = $softwareName;
	}

	
	public function getServerConfig() {
		if ($this->isApacheModPHP()) return 'apache-mod_php';
		if ($this->isApacheSuPHP()) return 'apache-suphp';
		if ($this->isLiteSpeed()) return 'cgi';
		if ($this->isApache() && !$this->isApacheSuPHP() && ($this->isCGI() || $this->isFastCGI())) return 'litespeed';
		if ($this->isNGINX()) return 'nginx';
		if ($this->isIIS()) return 'iis';
		
	}
	
	public function getHtaccessPath() {
		return str_replace(array("/", "\\"), $this->dirsep, $this->WORK_PATH . $this->dirsep . '.htaccess');
	}

	public function getUserIniPath() {
		$userIni = ini_get('user_ini.filename');
		if ($userIni) {
			return str_replace(array("/", "\\"), $this->dirsep, $this->WORK_PATH . $this->dirsep . $userIni);
		}
		return false;
	}

	public function getFirewallFilePath() {
		return str_replace(array("/", "\\"), $this->dirsep, $this->WORK_PATH . $this->FIREWALL_PATH);
	}



	function setAutoPrepends($state = true) {
		
		$bootstrapPath = $this->getFirewallFilePath();

		$serverConfig = $this->getServerConfig(); 

		$htaccessPath = $this->getHtaccessPath();

		$homePath = dirname($htaccessPath);

		$userIniPath = $this->getUserIniPath();
		$userIni = ini_get('user_ini.filename');
		
		if (!$state) {
			if (is_file($htaccessPath)) {
				$htaccessContent = @file_get_contents($htaccessPath);
				$regex = '/# SiteGuarding Firewall Block.*?# END SiteGuarding Firewall Block/is';
				if (preg_match($regex, $htaccessContent, $matches)) {
					$htaccessContent = preg_replace($regex, '', $htaccessContent);
					if (!file_put_contents($htaccessPath, $htaccessContent)) {
						return false;
					}
				}
			}

			if (is_file($userIniPath)) {
				$userIniContent = @file_get_contents($userIniPath);
				$regex = '/; SiteGuarding Firewall Block.*?; END SiteGuarding Firewall Block/is';
				if (preg_match($regex, $userIniContent, $matches)) {
					$userIniContent = preg_replace($regex, '', $userIniContent);
					if (!file_put_contents($userIniPath, $userIniContent)) {
						return false;
					}
				}
			}
			return true;
		} else {

		$userIniHtaccessDirectives = '';
		if ($userIni) {
			$userIniHtaccessDirectives = sprintf('<Files "%s">
<IfModule mod_authz_core.c>
	Require all denied
</IfModule>
<IfModule !mod_authz_core.c>
	Order deny,allow
	Deny from all
</IfModule>
</Files>
', addcslashes($userIni, '"'));
		}


		// .htaccess configuration
		switch ($serverConfig) {
			case 'apache-mod_php':
				$autoPrependDirective = sprintf("# SiteGuarding Firewall Block
<IfModule mod_php%d.c>
	php_value auto_prepend_file '%s'
</IfModule>
$userIniHtaccessDirectives
# END SiteGuarding Firewall Block
", PHP_MAJOR_VERSION, addcslashes($bootstrapPath, "'"));
				break;

			case 'litespeed':
				$escapedBootstrapPath = addcslashes($bootstrapPath, "'");
				$autoPrependDirective = sprintf("# SiteGuarding Firewall Block
<IfModule LiteSpeed>
php_value auto_prepend_file '%s'
</IfModule>
<IfModule lsapi_module>
php_value auto_prepend_file '%s'
</IfModule>
$userIniHtaccessDirectives
# END SiteGuarding Firewall Block
", $escapedBootstrapPath, $escapedBootstrapPath);
				break;

			case 'apache-suphp':
				$autoPrependDirective = sprintf("# SiteGuarding Firewall Block
$userIniHtaccessDirectives
# END SiteGuarding Firewall Block
", addcslashes($homePath, "'"));
				break;

			case 'cgi':
				if ($userIniHtaccessDirectives) {
					$autoPrependDirective = sprintf("# SiteGuarding Firewall Block
$userIniHtaccessDirectives
# END SiteGuarding Firewall Block
", addcslashes($homePath, "'"));
				}
				break;

		}

		if (!empty($autoPrependDirective)) {
			// Modify .htaccess
			$htaccessContent = @file_get_contents($htaccessPath);

			if ($htaccessContent) {
				$regex = '/# SiteGuarding Firewall Block.*?# END SiteGuarding Firewall Block/is';
				if (preg_match($regex, $htaccessContent, $matches)) {
					$htaccessContent = preg_replace($regex, $autoPrependDirective, $htaccessContent);
				} else {
					$htaccessContent .= "\n\n" . $autoPrependDirective;
				}
			} else {
				$htaccessContent = $autoPrependDirective;
			}

			if (!file_put_contents($htaccessPath, $htaccessContent)) {
				echo 'We were unable to make changes to the .htaccess file. It\'s
				possible server cannot write to the .htaccess file because of file permissions, which may have been
				set by another security plugin, or you may have set them manually. Please verify the permissions allow
				the web server to write to the file, and retry the installation.';
				die;
			}
			if ($serverConfig == 'litespeed') {
				// sleep(2);
				touch($htaccessPath);
			}

		}
		if ($userIni) {
			// .user.ini configuration
			switch ($serverConfig) {
				case 'cgi':
				case 'nginx':
				case 'apache-suphp':
				case 'litespeed':
				case 'iis':
					$autoPrependIni = sprintf("; SiteGuarding Firewall Block
auto_prepend_file = '%s'
; END SiteGuarding Firewall Block
", addcslashes($bootstrapPath, "'"));

					break;
			}

			if (!empty($autoPrependIni)) {

				// Modify .user.ini
				$userIniContent = @file_get_contents($userIniPath);
				if (is_string($userIniContent)) {
					$userIniContent = str_replace('auto_prepend_file', ';auto_prepend_file', $userIniContent);
					$regex = '/; SiteGuarding Firewall Block.*?; END SiteGuarding Firewall Block/is';
					if (preg_match($regex, $userIniContent, $matches)) {
						$userIniContent = preg_replace($regex, $autoPrependIni, $userIniContent);
					} else {
						$userIniContent .= "\n\n" . $autoPrependIni;
					}
				} else {
					$userIniContent = $autoPrependIni;
				}

				if (!file_put_contents($userIniPath, $userIniContent)) {
					echo sprintf('We were unable to make changes to the %1$s file.
					It\'s possible server cannot write to the %1$s file because of file permissions.
					Please verify the permissions are correct and retry the installation.', basename($userIniPath));
					die;
				}
			}
		}
		return true;
		}
	}
		
	
}




?>