<?php
/** 33F190D04D71-0B067FFC03A6-1810FA8DBECA
 *
 * Find all files extensions
 * Version: 1.2
 * Date: 7 Jan 2021
 */
error_reporting(0);
set_time_limit(0);

	// Load Funcs class
	if (file_exists($scan_path.'__class.sg.funcs.php')) require_once($scan_path.'__class.sg.funcs.php');
	else die('<p class="err b">Class __class.sg.funcs.php is not loaded </p>');
    
    /*
    Returned values:
    
    $scan_path
    DIRSEP
    
    styles
    
    */



    $scanner = new SiteGuarding_files();
    $scanner->scan_path = $scan_path;
    $scanner->remove_slash = false;
    $scanner->filter_ext = false;

$files = $scanner->GetFileList();
//print_r($files);

?>
<style>
.va{font-size:70%;text-decoration: none;}
</style>
<?php

$view = '';
if (isset($_GET['view'])) $view = trim($_GET['view']);



echo 'Total Files: '.count($files)."<br><br>";

	// Flush output
	ob_flush();
	flush();
    


echo "<p class='ok'>Started</p>";

$stats = array();

foreach ($files as $file)
{
	$filesize = filesize($scan_path.$file);
	
	// Dont collect very small filed and index.html with size <=100 bytes
	if ( $filesize <= 10 || (basename($file) == 'index.html' && $filesize <= 100) ) continue;
	

	$ext = strtolower(pathinfo($file, PATHINFO_EXTENSION));
	
	if ($ext == '') 
	{
		if ($filesize < 50000) $ext = '[no extension (small files)]';
		else $ext = '[no extension (large files)]';
	}
	
	
	// Dont collect WP language files
	if ($ext == 'po' || $ext == 'mo' || $ext == 'pot' && (strpos($file, '/lang/') !== false || strpos($file, '/languages/') !== false) )  continue;
	
	$stats[$ext]++;
	
	if ($view == $ext) 
	{
		switch (basename($file))
		{
			case 'CHANGES':
			case 'CHANGELOG':
			case 'README':
			case 'COPYING':
			case 'LICENSE':
			case 'LICENCE':
			case 'INSTALL':
			case 'VERSION':
			case 'NEWS':
			case 'php_errorlog':
				echo '<span class="color_light_grey">'.$file.'</span>'."<br>";
				break;
			
			default:
				echo $file."<br>";
		}
		
	}
}

echo "<p class='ok'>Finished</p>";

echo "<br><br>";

arsort($stats);

foreach ($stats as $row => $i_counter)
{
	$tmp_class = '';
	switch ($row)
	{
		case 'php';
		case 'jpg';
		case 'png';
		case 'css';
		case 'scss':
		case 'woff':
		case 'eot':
		case 'woff2':
		case 'gif';
		case 'sql';
		case 'md';
		case 'js';
		case 'ttf';
		case 'json';
		case 'less';
		case 'yml';
		case 'gitignore';
		case 'dist';
		case 'ttf';
		case 'svg';
		case 'xml':
		case 'ini':
		case 'gzs':
		case 'ftpquota':
			$tmp_class = 'color_light_grey';
			break;

			
		case 'exe':
		case '[no extension (large files)]':
			$tmp_class = 'color_highlight_red';
			break;
			
		default:
			if ($i_counter > 100) $tmp_class = 'color_highlight_red';
		
	}
	
	$link = '/_find_files_count_file_extensions.php?view='.$row;
	echo '<span class="'.$tmp_class.'">'.$row.' - '.$i_counter.' files</span> <a class="va" target="_blank" href="'.$link.'">[show]</a><br>';
}
 

?>