<?php
/** 33F190D04D71-0B067FFC03A6-1810FA8DBECA
 *
 *  Find all the files start with . [dot]
 * 
 *  ver.: 2.3
 *  date: 7 Jan 2021
 */

error_reporting(0);
set_time_limit(0);

echo '<p style="color:red">!!!!! Analyze only. Enable filter ?filter=1 or &clean=1 !!!</p>'; 

$flag_filter = intval($_GET['filter']);
$flag_clean = intval($_GET['clean']);

?>
<style>
.color_grey{color:#777;}
.grey{color:#bbb;}
.err{color:red;}
</style>
<?php

function findFiles($directory, $extensions = array()) {
	
	global $flag_filter;
	
    function glob_recursive($directory, &$directories = array()) {
        foreach(glob($directory, GLOB_ONLYDIR | GLOB_NOSORT) as $folder) {
            $directories[] = $folder;
            glob_recursive("{$folder}/*", $directories);
        }
    }
    glob_recursive($directory, $directories);
    $files = array ();
    foreach($directories as $directory) {
        foreach($extensions as $extension) {
            /*foreach(glob("{$directory}/*.{$extension}") as $file) {
                $files[$extension][] = $file;
            }*/
            foreach(glob("{$directory}/.*") as $file) {
            	$tmp_basename = basename($file);
            	if ($tmp_basename != '.' && $tmp_basename != '..')
            	{
            		$file_ext = strtolower( substr( $tmp_basename, strrpos($tmp_basename, ".") ) );
            		
            		if ($flag_filter == 1 && ($file_ext == '.php' || $file_ext == '.js' || $file_ext == '.html' || $file_ext == '.htm' ))
					{
						$files[] = $file;	
					} 
					
					if ($flag_filter == 0) $files[] = $file;
            			
            	}
                
            }
        }
    }
    return $files;
}

$files = findFiles(dirname(__FILE__), array ("*"));
//print_r($files);

$files_size = array();

foreach ($files as $file)
{
	$fsize = filesize($file);
    
	switch (basename($file))
	{
		case '.DS_Store':
		case '.ftpquota':
		case '.well-known':
		case '.svnignore':
		case '.gitignore':
		case '.original':
		case '.eslintignore':
		case '.eslintrc':
		case '.github':
		case '.donotbackup':
			$css = ' class="grey"';
			break;
			
		case '.bt':
			$css = ' class="err"';
			break;
			
		default:
			$css = '';
	}
	
	// .XXX extensions
	$ext_sub4 = substr($file, -4);
	switch ($ext_sub4)
	{
		case '.yml':
		case '.bak':
		case '.ini':
		//case '.ini':
			$css = ' class="grey"';
			break;
	}
	
	// .XXXX extensions
	$ext_sub5 = substr($file, -5);
	switch ($ext_sub5)
	{
		case '.json':
		//case '.bak':
			$css = ' class="grey"';
			break;
	}
	
	// bak files
	if (strpos($file, '.bak.') !== false || strpos($file, '.bak_') !== false) $css = ' class="grey"';
	
	// small size files
	if ($fsize <= 10) $css = ' class="grey"';
	
	
	echo '<span'.$css.'>'.str_replace(dirname(__FILE__), "", $file) . " [" . $fsize.' bytes]'.'</span>';
	
	array_push($files_size, $fsize);
    
	
	if ($flag_clean == 1)
	{
		if (unlink($file))
		{
			echo ' - <font color="green">Removed</font>';
		}
		else echo ' - <font color="red">Not Removed</font>';
	}
    else {
        if (basename($file) == '.htaccess')
        {
            $handle = fopen($file, "r");
            $contents = fread($handle, $fsize);
            fclose($handle);
            
            if (stripos($contents, "deny from") !== false)
            {
				echo ' - <font color="red">found: <b>deny from</b></font>'; 
				if (strpos($file, '/wp-admin/.htaccess') !== false || strpos($file, '/wp-includes/.htaccess') !== false || strpos($file, '/wp-content/.htaccess') !== false) echo ' - <font color="red"><b>!!! REVEIW & REMOVE this code</b></font>'; 
			}
			
            if (stripos($contents, "{HTTP_USER_AGENT}") !== false)
            {
                echo ' - <font color="red">found: <b>HTTP_USER_AGENT</b></font>'; 
                
                $agent_list = array(
                    "google",
                    "iphone",
                    "msn",
                    "android"
                );
                
                foreach ($agent_list as $word)
                {
                    if ( stripos($contents, $word) !== false )
                    {
                        echo ' - <font color="red">word: <b>'.$word.'</b></font>'; 
                    }
                }
            }
        }
    }
	
	echo "<br>";
}


echo "<br><br><br><br>Counter: ".count($files)."<br><br><br>";
echo "Same Files <font color='red'>REVIEW the files with the size counter >=2</font>: <br>";
echo "<pre>";
print_r(array_count_values($files_size));
echo "</pre>";

exit();


?>