<?php
/** 33F190D04D71-0B067FFC03A6-1810FA8DBECA
 *
 * Find *.js files with the same codes in the top and bottom of the files
 * Version: 1.0
 * Date: 4 July 2020
 */
error_reporting(0);
set_time_limit(0);

	// Load Funcs class
	if (file_exists($scan_path.'__class.sg.funcs.php')) require_once($scan_path.'__class.sg.funcs.php');
	else die('<p class="err b">Class __class.sg.funcs.php is not loaded </p>');
    
    /*
    Returned values:
    
    $scan_path
    DIRSEP
    
    styles
    
    */


// Init
$check_block_size = intval($_GET['size']);
if ($check_block_size < 10) $check_block_size = 200;


    $scanner = new SiteGuarding_files();
    $scanner->scan_path = $scan_path;
    $scanner->remove_slash = false;
    $scanner->filter_ext = false;
    $scanner->filter_ext_extra = array('js');




echo '<p style="color:red">?size=500 - set the size of block analysis</p>';


?>
<h2>Find js files with the same code in the end of file (<?php echo $check_block_size; ?> bytes)</h2>


<br /><br />

<?php


$files = $scanner->GetFileList();

echo 'Total JS Files: '.count($files)."<br><br>";

//print_r($files);

$result = array();

$i_counter = 0;

foreach ($files as $file)
{
	$file_full = $scan_path.$file;
    
    $file_size = filesize($file_full);
    if ($file_size < $check_block_size ) continue;

/*
	$handle = fopen($file_full, "r");
    fseek($handle, $file_size - $check_block_size);
	$contents = fgets($handle, $check_block_size);
	fclose($handle);
*/
	$handle = fopen($file_full, "r");
	$contents = fread($handle, $file_size);
	fclose($handle);
    
    $contents = substr($contents, -$check_block_size);
    
    
    $md5 = md5($contents);
    
    $short_file_code = basename($file);
    $short_file_code = str_replace(".min.js", "", $short_file_code);
    $short_file_code = str_replace(".js", "", $short_file_code);
    $result[$md5][$short_file_code] = $file;     // files with the same filename will count as 1 or (.js and .min.js)
}


// Unset with 1 file, remove with the same filename
foreach ($result as $md5 => $detected_files_arr)
{
    if (count($detected_files_arr) == 1) unset($result[$md5]);
}

echo "<br>Finished.<br>";


echo '<h3><font color="red">Critical (over 50 detections)</font></h3>';

foreach ($result as $md5 => $files)
{
    if (count($files) >= 50)
    {
        $show_code = true;
        
        foreach ($files as $filename)
        {
            if ($show_code)
            {
                echo '<b>Total:</b> '.count($files).'<br><br>';
                
                $file_full = $scan_path.$filename;
                
            	$handle = fopen($file_full, "r");
                $file_size = filesize($file_full);
            	$contents = fread($handle, $file_size);
            	fclose($handle);
                
                $contents = substr($contents, -$check_block_size);
                
                $contents = htmlspecialchars($contents, ENT_QUOTES);
                
                echo '<b>Code:</b> <pre>'.$contents.'</pre><br>';
                echo '<b>Files:</b><br>';
                
                $show_code = false;
            }
            
            echo '<font color="red">'.$filename.'</font>'."<br>";
        }
        
        echo '<hr>';
    }
}


echo '<h3>Other (less 50 detections)</h3>';

foreach ($result as $md5 => $files)
{
    if (count($files) < 50)
    {
        $show_code = true;
        
        foreach ($files as $filename)
        {
            if ($show_code)
            {
                echo '<b>Total:</b> '.count($files).'<br><br>';
                
                $file_full = $scan_path.$filename;
                
            	$handle = fopen($file_full, "r");
                $file_size = filesize($file_full);
            	$contents = fread($handle, $file_size);
            	fclose($handle);
                
                $contents = substr($contents, -$check_block_size);
                
                $contents = htmlspecialchars($contents, ENT_QUOTES);
                
                echo '<b>Code:</b> <pre>'.$contents.'</pre><br>';
                
                echo '<b>Files:</b><br>';
                
                $show_code = false;
            }
            
            echo $filename."<br>";
        }
        
        echo '<hr>';
    }
}