<?php get_header(); ?>
<div id="columns">
	
    <?php $urlHome = get_bloginfo('template_directory'); ?>
    
    <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
    	
    <div class="box post" id="post-<?php the_ID(); ?>">
      <div class="content">
        <?php $postimageurl = get_post_meta($post->ID, 'post-img', true); if ($postimageurl) { ?>
        <div class="pic"><a href="<?php the_permalink(); ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><img src="<?php echo $postimageurl; ?>" alt="<?php the_title_attribute(); ?>" /></a></div>
        <?php } ?>
        <!--/post-img -->
        
        <div class="post-excerpt">
          <?php the_content('<p class="serif">Read the rest of this entry &raquo;</p>'); ?>
        </div>
        <!--/post-excerpt -->
        <div class="clr"></div>
      </div>
      <!--/content -->
    </div>
    <!--/box -->
    
    <div class="box post">
      <div class="content border">
      	<h2>Gallery</h2>
      	<div class="gallery-block">
      		<div class="gallery">
      		<?php if(get_field('gallery')): ?>
				<ul class="clearfix">
				<?php $count = 1 ; while(has_sub_field('gallery')): ?>
					<li>
						<div class="gallery-item">
							<?php 
								$image = get_sub_field('image');
								// var_dump( $image );
								echo '<a href="' . $image['sizes']["large"] . '">' ;
								echo '  <img class="thumb" width="' . $image['sizes']["thumbnail-width"] . '" height="' . $image['sizes']["thumbnail-height"] . '" src="' . $image['sizes']['thumbnail'] . '" />' ;
								echo '</a>' ;
							?>
							<div style="display: none;">
								<div id="gallery-popup-<?php echo $count ; ?>" class="gallery-popup" style="width:<?php echo $image['sizes']["large-width"] ?>px; height: <?php echo $image['sizes']["large-height"] ?>px;" >
									<?php 
										echo '<img width="' . $image['sizes']["large-width"] . '" height="' . $image['sizes']["large-height"] . '" src="' . $image['sizes']['large'] . '" />' ;
									?>
									<div class="details">
										<div class="price"><?php the_sub_field('price'); ?></div>
										<div class="description"><?php the_sub_field('description'); ?></div>
									</div>
									
									<input type="hidden" class="image-width" value="<?php echo $image['sizes']["large-width"] ?>px" />
									<input type="hidden" class="image-height" value="<?php echo $image['sizes']["large-height"] ?>px" />
								</div>
							</div>
						</div>
					</li>
				<?php $count ++ ; endwhile; ?>
				</ul>
			<?php endif; ?>
			<script type="text/javascript">
				jQuery(document).ready( function($){

					$(".gallery-item a").colorbox({
						rel: 'gal', 
						title: '',
						current: "Item {current} of {total}",
						html: function(){
							return $(this).parent().find('.gallery-popup').first().clone();
						},
						innerWidth: function(){
							$popup = $(this).parent().find('.gallery-popup').first().clone();
							return $('.image-width', $popup ).val();
						},
						innerHeight: function(){
							$popup = $(this).parent().find('.gallery-popup').first().clone();
							return $('.image-height', $popup ).val();
						},
						
					});
				});
			</script>
      		</div>
      	</div>
      </div>
      <!--/content -->
    </div>
    <!--/box -->
    
    <div class="clr"></div>

    <?php endwhile; else: ?>
    <p>Sorry, no posts matched your criteria.</p>
    <?php endif; ?>

  <div class="clr"></div>
</div>
<!--/columns -->
<?php get_footer(); ?>
